[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#20776: dpkg-dev does not use emacsen-commen method of installing .el files

Ian Jackson writes:
 > If the bug is that the files are not loaded correctly: my tree puts
 > 50dpkg-dev.el in /etc/emacs/site-start.d, which from the bug report I
 > and from the Debian Emacsen policy I have (from emacsen-common 1.4.8) is
 > supposed to be loaded by every Emacs.
 > Alternatively, if the bug is that the files aren't byte-compiled:
 > I don't think this is a bug.  In particular, I think the extra hassle,
 > unreliability and time consumed when installing/upgrading dpkg-dev
 > and/or emacs packages far outweigh any benefit to be gained from
 > having this file byte-compiled.
 > (I agree that this would seem to apply to nearly any .el-containing
 > package.)
 > Furthermore, the Debian Emacsen Policy doesn't seem to require files
 > like this to be byte-compiled.
 > Given this, does the submitter agree that there is no bug here any
 > more at least in my tree ?

The problem seams to be fixed in the recent potato version. It is
still there in the slink package. But I don´t think it is worth to fix
it there.


Reply to: